# Module pr

- Description
- Data Types
- Function Index
- Function Details

Abstract data type for a paxos round (pr).

Copyright © 2014-2015 Zuse Institute Berlin,

Version: $Id$

Authors: Florian Schintke (`schintke@zib.de`).

## Description

Abstract data type for a paxos round (pr).

## Data Types

### pr()

    pr() = {non_neg_integer(), any(), none | write_through_info()}

### write_through_info()

    write_through_info() =
        {prbr:write_filter(),
         UpdateInfo :: term(),
         WriteValue :: term()}

## Function Index

get_id/1 |
get_r/1 |
get_wf/1 |
new/2 |
set_wf/2 |
smallest_round/1 |

## Function Details

### new/2

    new(Counter :: non_neg_integer(), ProposerUID :: any()) -> pr()

### get_r/1

    get_r(RwId :: pr()) -> non_neg_integer()

### get_id/1

    get_id(RwId :: pr()) -> any()

### get_wf/1

    get_wf(RwId :: pr()) -> none | write_through_info()

### set_wf/2

    set_wf(R :: pr(), WF :: none | write_through_info()) -> pr()

### smallest_round/1

    smallest_round(Pid :: comm:mypid()) -> pr()

Generated by EDoc, Feb 29 2016, 16:12:13.